format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/3249


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: f389ca4
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: f8c930e3de292bbd1c5eabec158386a45562d9c1
    - input_file: 'b-partial-2.diff'
      commit_sha1: 0389c324cade0b803b1a0eb6a6fb81b45f18f010
    - input_file: 'b-partial-3.diff'
      commit_sha1: b2aba18f4ad7cfb86a9093e14df48527ef97d329
    - input_file: 'b-partial-4.diff'
      commit_sha1: c32e93cc16c048d47b4f14c2855ab4022aef7c3f
    - input_file: 'b-partial-5.diff'
      commit_sha1: d98bf696eb72137038ba7c35e34778d6db54860c
    - input_file: 'b-partial-6.diff'
      commit_sha1: 31853aebe0c48d83ba1fa2b3d88d5398a2eab4fa

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: a16ffedb1ad314dc1996141208753f39c0ec3c10

options:
  language: C
